Loading...
Searching...
No Matches
casacore::NumericTraits_DC< DComplex > Class Reference
scimath package (libcasa_scimath) » Mathematics_module

NumericTraits specialization for DComplex. More...

`#include <NumericTraits.h>`

## Public Types

typedef DComplex | value_type
| Template argument.
typedef Double | BaseType
| Numeric type.
typedef Double | ConjugateType
| Conjugate (real<->complex) type.
typedef DComplex | PrecisionType
| Higher precision type (Float->Double).

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (value_type &other, const BaseType &val)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const value_type &other, const uInt n)
| Get the nsize()-th numeric value.
static void | setValue (value_type &other, const BaseType &val, const uInt n)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
| Relevant minimum and maximum numbers.
static const Double & | minimum
static const Double & | maximum

## Detailed Description

NumericTraits specialization for DComplex.

Definition at line 367 of file NumericTraits.h.

## Member Typedef Documentation

## BaseType

typedef Double casacore::NumericTraits_DC< DComplex >::BaseType

Numeric type.

Definition at line 372 of file NumericTraits.h.

## ConjugateType

typedef Double casacore::NumericTraits_DC< DComplex >::ConjugateType

Conjugate (real<->complex) type.

Definition at line 374 of file NumericTraits.h.

## PrecisionType

typedef DComplex casacore::NumericTraits_DC< DComplex >::PrecisionType

Higher precision type (Float->Double).

Definition at line 376 of file NumericTraits.h.

## value_type

typedef DComplex casacore::NumericTraits_DC< DComplex >::value_type

Template argument.

Definition at line 370 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits_DC< DComplex >::getValue | ( | const value_type & | other,
|  | const uInt | n )

inline static

Get the nsize()-th numeric value.

Definition at line 389 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits_DC< DComplex >::setImag | ( | value_type & | other,
|  | const BaseType & | val )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 386 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits_DC< DComplex >::setValue | ( | value_type & | other,
|  | const BaseType & | val,
|  | const uInt | n )

inline static

Set the nsize()-th numeric value.

Definition at line 392 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits_DC< DComplex >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 384 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits_DC< DComplex >::epsilon

static

Relevant minimum and maximum numbers.

Definition at line 379 of file NumericTraits.h.

## maximum

const Double& casacore::NumericTraits_DC< DComplex >::maximum

static

Definition at line 381 of file NumericTraits.h.

## minimum

const Double& casacore::NumericTraits_DC< DComplex >::minimum

static

Definition at line 380 of file NumericTraits.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits.h